Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.serialize
Class SerializerToHTML

    java.lang.Object
      |
      +--org.apache.xalan.serialize.SerializerToXML
            |
            +--org.apache.xalan.serialize.SerializerToHTML

public class SerializerToHTML
extends SerializerToXML

SerializerToHTML formats SAX-style events into XML.

Fields inherited from class org.apache.xalan.serialize.SerializerToXML
`m_indentAmount, m_shouldNotWriteXMLHeader, m_spaceBeforeClose, m_version`

Constructor Summary
`SerializerToHTML()` Default constructor.

Method Summary
`void` | `cdata(char[] ch, int start, int length)` Receive notification of cdata.
`void` | `characters(char[] chars, int start, int length)` Receive notification of character data.
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String name)` Receive notification of the end of an element.
`void` | `entityReference(java.lang.String name)` Receive notivication of a entityReference.
`boolean` | `getOmitMetaTag()` Tells if the formatter should omit the META tag.
`boolean` | `getSpecialEscapeURLs()` Tells if the formatter should use special URL escaping.
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` Receive notification of a processing instruction.
`void` | `setOmitMetaTag(boolean bool)` Tells if the formatter should omit the META tag.
`void` | `setOutputFormat(java.util.Properties format)` Specifies an output format for this serializer.
`void` | `setSpecialEscapeURLs(boolean bool)` Tells if the formatter should use special URL escaping.
`void` | `startDocument()` Receive notification of the beginning of a document.
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String name, Attributes atts)` Receive notification of the beginning of an element.
`void` | `writeAttrString(java.lang.String string, java.lang.String encoding)` Writes the specified string after substituting specials, and UTF-16 surrogates for character references `&#xnn`.
`void` | `writeAttrURI(java.lang.String string, boolean doURLEscaping)` Write the specified string after substituting non ASCII characters, with `%HH`, where HH is the hex of the byte value.

Methods inherited from class org.apache.xalan.serialize.SerializerToXML
`asContentHandler, asDOMSerializer, attributeDecl, canConvert, charactersRaw, comment, CopyFrom, elementDecl, endCDATA, endDocument, endDTD, endEntity, endNonEscaping, endPrefixMapping, endPreserving, externalEntityDecl, flushWriter, getOutputFormat, getOutputStream, getWriter, ignorableWhitespace, indent, init, init, internalEntityDecl, printSpace, reset, serialize, setDocumentLocator, setOutputStream, setWriter, skippedEntity, startCDATA, startDTD, startEntity, startNonEscaping, startPrefixMapping, startPreserving`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializerToHTML

    public SerializerToHTML()

  Default constructor.

Method Detail

### setSpecialEscapeURLs

    public void setSpecialEscapeURLs(boolean bool)

  Tells if the formatter should use special URL escaping.
  Parameters:
    `bool` - True if URLs should be specially escaped with the %xx form.

### setOmitMetaTag

    public void setOmitMetaTag(boolean bool)

  Tells if the formatter should omit the META tag.
  Parameters:
    `bool` - True if the META tag should be omitted.

### setOutputFormat

    public void setOutputFormat(java.util.Properties format)

  Specifies an output format for this serializer. It the serializer has already been associated with an output format, it will switch to the new format. This method should not be called while the serializer is in the process of serializing a document.
  Parameters:
    `format` - The output format to use
  Overrides:
    setOutputFormat in class SerializerToXML

### getSpecialEscapeURLs

    public boolean getSpecialEscapeURLs()

  Tells if the formatter should use special URL escaping.
  Returns:
    True if URLs should be specially escaped with the %xx form.

### getOmitMetaTag

    public boolean getOmitMetaTag()

  Tells if the formatter should omit the META tag.
  Returns:
    True if the META tag should be omitted.

### startDocument

    public void startDocument()
                       throws SAXException

  Receive notification of the beginning of a document.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
    SAXException -
  Overrides:
    startDocument in class SerializerToXML

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String name,
                             Attributes atts)
                      throws SAXException

  Receive notification of the beginning of an element.
  Parameters:
    `namespaceURI` -
    `localName` -
    `name` - The element type name.
    `atts` - The attributes attached to the element, if any.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  Overrides:
    startElement in class SerializerToXML
  See Also:
    `endElement(java.lang.String, java.lang.String, java.lang.String)`, `AttributeList`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String name)
                    throws SAXException

  Receive notification of the end of an element.
  Parameters:
    `namespaceURI` -
    `localName` -
    `name` - The element type name
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  Overrides:
    endElement in class SerializerToXML

### writeAttrURI

    public void writeAttrURI(java.lang.String string,
                             boolean doURLEscaping)
                      throws SAXException

  Write the specified string after substituting non ASCII characters, with `%HH`, where HH is the hex of the byte value.
  Parameters:
    `string` - String to convert to XML format.
    `doURLEscaping` - True if we should try to encode as per http://www.ietf.org/rfc/rfc2396.txt.
  Throws:
    SAXException - if a bad surrogate pair is detected.

### writeAttrString

    public void writeAttrString(java.lang.String string,
                                java.lang.String encoding)
                         throws SAXException

  Writes the specified string after substituting specials, and UTF-16 surrogates for character references `&#xnn`.
  Parameters:
    `string` - String to convert to XML format.
    `encoding` - CURRENTLY NOT IMPLEMENTED.
  Throws:
    SAXException -
  Overrides:
    writeAttrString in class SerializerToXML

### characters

    public void characters(char[] chars,
                           int start,
                           int length)
                    throws SAXException

  Receive notification of character data.

  The Parser will call this method to report each chunk of character data. SAX parsers may return all contiguous character data in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity, so that the Locator provides useful information.

  The application must not attempt to read from the array outside of the specified range.

  Note that some parsers will report whitespace using the ignorableWhitespace() method rather than this one (validating parsers must do so).

  Parameters:
    `chars` - The characters from the XML document.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
    SAXException -
  Overrides:
    characters in class SerializerToXML
  See Also:
    `SerializerToXML.ignorableWhitespace(char[], int, int)`, `Locator`

### cdata

    public void cdata(char[] ch,
                      int start,
                      int length)
               throws SAXException

  Receive notification of cdata.

  The Parser will call this method to report each chunk of character data. SAX parsers may return all contiguous character data in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity, so that the Locator provides useful information.

  The application must not attempt to read from the array outside of the specified range.

  Note that some parsers will report whitespace using the ignorableWhitespace() method rather than this one (validating parsers must do so).

  Parameters:
    `ch` - The characters from the XML document.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
    SAXException -
  Overrides:
    cdata in class SerializerToXML
  See Also:
    `SerializerToXML.ignorableWhitespace(char[], int, int)`, `Locator`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws SAXException

  Receive notification of a processing instruction.
  Parameters:
    `target` - The processing instruction target.
    `data` - The processing instruction data, or null if none was supplied.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
    SAXException -
  Overrides:
    processingInstruction in class SerializerToXML

### entityReference

    public void entityReference(java.lang.String name)
                         throws SAXException

  Receive notivication of a entityReference.
  Parameters:
    `name` - non-null reference to entity name string.
  Throws:
    SAXException -
  Overrides:
    entityReference in class SerializerToXML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.